Форум программистов, компьютерный форум, киберфорум
PHP для начинающих
Войти
Регистрация
Восстановить пароль
 
Рейтинг 4.88/17: Рейтинг темы: голосов - 17, средняя оценка - 4.88
0 / 0 / 1
Регистрация: 28.09.2008
Сообщений: 298
1

проблема с установкой php под unix (solaris)

10.11.2006, 15:32. Просмотров 3104. Ответов 8
Метки нет (Все метки)


ржу нимагу. кто-то решил что я не могу установить пхп и прислал предложение на дистанционную работу. а как сказал что проблем нет, так клиент отвалил...
0
Programming
Эксперт
94731 / 64177 / 26122
Регистрация: 12.04.2006
Сообщений: 116,782
10.11.2006, 15:32
Ответы с готовыми решениями:

PHP под Windows и Unix?
Нужно создать интернет-магазин. Я програмирую на Java, но поскольку самый распространенный хостинг...

проблема с установкой XML-RPC
Всем привет! Помогите разобраться с установкой и подключением класса XML-RPC в php5! 12 часов...

Помогите с установкой Unix Solaris!!!
Решил поставить Unix Solaris v7x86 Машина такая: Celeron-300, 192mb ram, 30gb hard, video s3...

Проблема с конфигурированием Lotus под Unix
Установка прошла без какихлибо проблем su - notes1 -c "cd...

__________________
Помогаю в написании студенческих работ здесь.
Записывайтесь на профессиональные курсы Fullstack-разработчиков на PHP‌
8
0 / 0 / 0
Регистрация: 20.02.2011
Сообщений: 148
21.11.2006, 20:29 2
я обычно это делаю так

качаем я обчно качаю tar.bz2 потом

tar -xjvf php-Х.Х.Х.tar.bz2

теперь заходим

cd php-Х.Х.Х

и конфигурим с не обходимыми параметрами

если у тебя апачь2 обязательно укажи --with=apxs2 для того чтобы пхп ббыл утановлен как модуль апача иначе тока консольный вариант
0
0 / 0 / 1
Регистрация: 28.09.2008
Сообщений: 298
07.06.2011, 09:24  [ТС] 3
на http://www.php.net/downloads.php скачал дистрибутив для unix систем: php-5.0.3.tar.gz

развернул его командой gzip -d <path>
получил файл php-5.0.3.tar

попытался его установить:
pkgadd -d <path>

ничего не установилось и в результате получил ошибку:
pkgadd:error: attempt to process datastream failed
-bad format in datastream table-of-contents
pkgadd:error:could not process datastream from <path>

вопрос в том как установить это под юникс?
0
3 / 3 / 3
Регистрация: 25.05.2009
Сообщений: 2,576
07.06.2011, 10:33 4
http://ua2.php.net/manual/en/install.unix.apache2.php
0
0 / 0 / 1
Регистрация: 28.09.2008
Сообщений: 298
07.06.2011, 13:28  [ТС] 5
это линк на Apache 2.0 on Unix systems - установка апача под юникс.
У меня апач уже стоит.
Проблема с установкой php
0
3 / 3 / 3
Регистрация: 25.05.2009
Сообщений: 2,576
07.06.2011, 13:35 6
http://ua2.php.net/manual/en/index.php

ссылка в мануале под порядковым номером II
0
80 / 56 / 68
Регистрация: 15.03.2007
Сообщений: 6,908
07.06.2011, 13:38 7
californis по ссылке, которую привел sl_play описывается именно установка php под Apache.
Ты похоже невнимательно прочитал что там написано.
В левой колонке, кстати, есть ссылка на описание как устанавливать PHP под Solaris.
http://ua2.php.net/manual/en/install.unix.solaris.php
0
0 / 0 / 1
Регистрация: 28.09.2008
Сообщений: 298
07.06.2011, 14:51  [ТС] 8
тут проблема в том что не удается даже сделать 'untar'
как говорится в линке:'1- Download, untar and unzip the file'

т.е. у меня сейчас: file.tar
Если я все правильно понимаю, мне его в начале надо распаковать, а уже потом последуют все дальнейшие операции.

но при этой попытке выскакивает вышеуказанная ошибка.
0
0 / 0 / 1
Регистрация: 28.09.2008
Сообщений: 298
07.06.2011, 14:58  [ТС] 9
untar сделал...
0
IT_Exp
Эксперт
87844 / 49110 / 22898
Регистрация: 17.06.2006
Сообщений: 92,604
07.06.2011, 14:58

Заказываю контрольные, курсовые, дипломные и любые другие студенческие работы здесь или здесь.

Проблема с установкой Lotus Notes 8.01 под Opensuse 10.3
Помогите, пожалуйста! Проблема вот какая: пытаюсь установить Lotus Notes 8.01 на openSuSe 10.3, но...

Сложность с установкой Solaris 10
Здравствуйте, уважаемые спецы! Проблема такова: хочу поставить солярку 10 второй операционкой. На...

в каких файлах под Solaris 9 под x86/SPARC прописывать DNS ISP?
не подскажите, в каких файлах под Solaris 9 под x86/SPARC прописывать DNS ISP? Демон pppd...

Компилятор Кобола под Solaris/MacOS
Мне хочется попрограммировать на Коболе, но у меня Solaris 10 SPARC и Mac OS X/PPC. Есть ли...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
9
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2021, vBulletin Solutions, Inc.